package com.ruoyi.web.modules.industryservice.service;

import java.util.List;
import com.ruoyi.web.modules.industryservice.domain.BizGrasslandUsageRecord;

/**
 * 草场使用记录服务
 */
public interface IBizGrasslandUsageRecordService
{
    BizGrasslandUsageRecord selectBizGrasslandUsageRecordById(Long id);

    List<BizGrasslandUsageRecord> selectBizGrasslandUsageRecordList(BizGrasslandUsageRecord query);

    int insertBizGrasslandUsageRecord(BizGrasslandUsageRecord row);

    int updateBizGrasslandUsageRecord(BizGrasslandUsageRecord row);

    int deleteBizGrasslandUsageRecordByIds(Long[] ids, String updateBy);
}
